# A 7 Days To Die Mod

![GameLogo](https://gamepedia.cursecdn.com/7daystodie_gamepedia/thumb/1/1f/OfficalWiki.png/600px-OfficalWiki.png?version=53cf53a4d2849bbdabf215f58b3b43ef)


## Requirements:
Requires Alpha 17 version of 7 Days to Die. Will not work on A16.4 or lesser.
Suggested for heavy AOE particles that you have decent framerates. Pixel textures on fire may cause FPS drops in lower end clients.
Some particle effects and texture casings will skip your game upon loading in the hotbar. Their file size is quite large. Fix coming soon hopefully. Weapons should not lag after first load.

## About this Modlet:
Custom Melee Weapons and Particle Attachments.
Fully craftable, gated by progression, added to open world loot table, fully repairable/modable, custom particle effects, AOE effects, textured skinscustom damage and modifiers.
This entire mod is written in xpath, no edits needed to any core files. Sadly, no localization.txt yet, so no in game info text menu. All other UI works/functions perfectly.

[Preview Video](https://i.imgur.com/ig6fyFu.png)
## Crafting requirements and information:
![Image](https://i.imgur.com/ig6fyFu.png)
## CRAFTING COSTS:

All Particle Effect mods will require Animal Fat, and some other minor resource to compliment it. Some have very strong AOE procs, so resource cost will reflect this.
With weapons themselves, they are more akin to vanilla recipes, slightly increased. 
Most common resources used:
- Forged Steel
- Leather
- Cloth
- Wood
- Brass
- Animal Fat
- Fiber
- Bones and Flesh

____Will edit more in the AM. Good enough










## How to install
- Navigate to your 7 Days to Die Directory (default: C:/ProgramFiles86/Steam/Steamapps/Common/7DaystoDie)
- Right click anywhere in your MAIN directory (not Data/Configs, not 7DaysToDie_Data), and create New Folder 
- Name New Folder: Mods [Our directory should look similar to something like this](https://imgur.com/a/pm5sJKc)
- Download entire mod pack via GitHub or other Trusted source (I only share via Discord, and GitHub. For my personal mods, do not trust any other source unless verified by me)
- Drag and Drop Melee modlet into 7 Days To Die/Mods folder. [Our modlet named "Melee" should show up under the mods directory like so](https://imgur.com/a/YtYmNW3)
- To confirm proper boot, upon loading into a map/server, press F1, and you should see our mod load with the following line: 
`2018-12-28T22:36:15 2.709 INF [MODS] Trying to load from Melee`
`2018-12-28T22:36:15 2.709 INF [MODS] Loaded Mod: Melee (1.0)`


[Quick informative video](https://youtu.be/blY9ZCEwqLc)




## For more information, or general help:
- https://www.youtube.com/channel/UCsmHsTmsfrhFUnhSknv7Trw?view_as=subscriber
- https://steamcommunity.com/id/Jayick/
- Discord: https://discord.gg/7daystodie

## A special thankyou!

- Vedui

[youtube](https://www.youtube.com/channel/UC9DgwaUiqcNO9oUuiFQMh6w)

[twitch](https://www.twitch.tv/Vedui42)

[twitter](https://twitter.com/Vedui42)

- JaxTeller

[Github](https://github.com/JaxTeller718/JaxModlets)

[Ravenhearst](https://ravenhearst.enjin.com/)

[youtube](https://www.youtube.com/channel/UCNVr9JmOGFpD4RCu4vUZfog/featured?view_as=subscriber)

[nexus](https://www.nexusmods.com/users/48679478)

-JaWoodle 

[youtube](https://www.youtube.com/jawoodle)

[twitter](https://twitter.com/JaWoodle)

- Galaktus, and all my other amazing testers!

- Stasis for authoring loot.xml for me on this project!


## Amazing sources of information for learning about mods: 

- Sphereii

- XythQ 

[youtube](https://www.youtube.com/channel/UCUAR3Bc_Z97lyT4zeI3-dcg) 

[github](https://github.com/7D2D)

- Khaine 

[youtube](https://www.youtube.com/channel/UC3yu4ucbt_3_KJAki5jncBg)

All assets are paid/licensed for free use/royalty free. 